## ros-noetic-moveit-ros-visualization 1.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_ros_visualization)

# definition needed for boost/math/constants/constants.hpp included by Ogre to compile
add_definitions(-DBOOST_MATH_DISABLE_FLOAT128)

find_package(Boost REQUIRED thread date_time system filesystem)
find_package(catkin REQUIRED COMPONENTS
  class_loader
  geometric_shapes
  interactive_markers
  moveit_ros_perception
  moveit_ros_planning_interface
  moveit_ros_robot_interaction
  moveit_ros_warehouse
  object_recognition_msgs
  pluginlib
  rosconsole
  roscpp
  rospy
  rviz
  tf2_eigen
  roscpp
  rosconsole
  object_recognition_msgs
)
moveit_build_options()

# TODO: Remove when Kinetic support is dropped
if(rviz_VERSION VERSION_LESS 1.13.1) # Does rviz support TF2?
  add_definitions(-DRVIZ_TF1)
endif()

find_package(Eigen3 REQUIRED)

# Qt Stuff
if(rviz_QT_VERSION VERSION_LESS "5")
  find_package(Qt4 ${rviz_QT_VERSION} REQUIRED QtCore QtGui)
  include(${QT_USE_FILE})
  macro(qt_wrap_ui)
    qt4_wrap_ui(${ARGN})
  endmacro()
else()
  find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
  set(QT_LIBRARIES Qt5::Widgets)
  macro(qt_wrap_ui)
    qt5_wrap_ui(${ARGN})
  endmacro()
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
add_definitions(-DQT_NO_KEYWORDS)

catkin_package(
  LIBRARIES
    moveit_motion_planning_rviz_plugin_core
    moveit_planning_scene_rviz_plugin_core
    moveit_robot_state_rviz_plugin_core
    moveit_rviz_plugin_render_tools
    moveit_trajectory_rviz_plugin_core
  INCLUDE_DIRS
    motion_planning_rviz_plugin/include
    planning_scene_rviz_plugin/include
    robot_state_rviz_plugin/include
    rviz_plugin_render_tools/include
    trajectory_rviz_plugin/include
  CATKIN_DEPENDS
    moveit_ros_planning_interface
    moveit_ros_robot_interaction
    object_recognition_msgs
    roscpp
    rviz
  DEPENDS
    EIGEN3
)

catkin_install_python(PROGRAMS scripts/moveit_joy.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
catkin_python_setup()

include_directories(rviz_plugin_render_tools/include
                    robot_state_rviz_plugin/include
                    planning_scene_rviz_plugin/include
                    motion_planning_rviz_plugin/include
                    trajectory_rviz_plugin/include)

include_directories(SYSTEM
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
                    ${EIGEN3_INCLUDE_DIRS}
                    ${QT_INCLUDE_DIR})

add_subdirectory(rviz_plugin_render_tools)
add_subdirectory(robot_state_rviz_plugin)
add_subdirectory(planning_scene_rviz_plugin)
add_subdirectory(motion_planning_rviz_plugin)
add_subdirectory(trajectory_rviz_plugin)

install(FILES
  motion_planning_rviz_plugin_description.xml
  trajectory_rviz_plugin_description.xml
  planning_scene_rviz_plugin_description.xml
  robot_state_rviz_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY icons DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/moveit_joy.test)
endif()

=== trajectory_rviz_plugin/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_trajectory_rviz_plugin)

# Header files that need Qt Moc pre-processing for use with Qt signals, etc:
set(HEADERS
  include/moveit/trajectory_rviz_plugin/trajectory_display.h
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Trajectory Display
add_library(${MOVEIT_LIB_NAME}_core
  src/trajectory_display.cpp
  ${HEADERS}
)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}_core
  moveit_rviz_plugin_render_tools
  moveit_planning_scene_rviz_plugin_core
  ${catkin_LIBRARIES} ${QT_LIBRARIES} ${Boost_LIBRARIES}
)

# Plugin Initializer
add_library(${MOVEIT_LIB_NAME} src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(TARGETS ${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

=== debian/changelog ===
ros-noetic-moveit-ros-visualization (1.1.11-1buster) buster; urgency=high

  * Fix some consistency issues in PlanningScene handling (#3298 <https://github.com/ros-planning/moveit/issues/3298>)
    
      * Allow Plane collision-object creation from rviz
      * Simplify Cone rendering
      * Visualize PLANE shapes as a large, thin box
    
  * Merge fixes+improvements to ``PlanningScene`` editing in rviz: #3263 <https://github.com/ros-planning/moveit/issues/3263>, #3264 <https://github.com/ros-planning/moveit/issues/3264>, #3296 <https://github.com/ros-planning/moveit/issues/3296>
    
      * Fix error "QBackingStore::endPaint() called with active painter"
      * Remove limitation to one-shape collision objects
      * Fix segfault on object scaling: only update a _valid_ scene marker
      * JointsWidget: Copy full RobotState on updates (attached collision objects were missing)
      * Factor out ``addCollisionObjectToList()`` from ``populateCollisionObjectsList()``
      * Simplify ``MotionPlanningFrame::addSceneObject``
      * Directly call ``populateCollisionObjectsList()`` if possibleCalling was previously deferred into a main loop job, because most
        callers already held a PlanningScene lock, thus causing recursive locking and a deadlock.
        By simply passing the locked scene, these issues can be avoided.
        As a fallback, the PlanningScene lock is still acquired in the function.
      * ``updateQueryStates()`` after removal of attached objects
      * Clear scene objects: only clear locally. To publish changes, one should explicitly click the "Publish" button.
      * Scene Object List: allow extended selection mode
      * always update query states - even if they are disabled for visualization
      * only allow execution if start state is up-to-date
    
  * Merge PR #3227 <https://github.com/ros-planning/moveit/issues/3227>: Improve MotionPlanning plugin's JointsWidget
    * Add units to sliders in JointsWidget and to spinbox editor
    * Avoid need for extra click to operate joint slider
    * allow control of joints via keyboard
  * Contributors: Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.10-1buster) buster; urgency=high

  * Fix rviz segfault when changing move group during execution (#3123 <https://github.com/ros-planning/moveit/issues/3123>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit/issues/3103>)
  * Contributors: Michael Görner, Robert Haschke, bsygo

 -- Jon Binney <jon.binney@gmail.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.9-1buster) buster; urgency=high

  * Add PS3 dual shock model to moveit joy (#3025 <https://github.com/ros-planning/moveit/issues/3025>)
  * Add option to use simulation time for rviz trajectory display (#3055 <https://github.com/ros-planning/moveit/issues/3055>)
  * Contributors: Job van Dieten, Martin Oehler

 -- Jon Binney <jon.binney@gmail.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.8-1buster) buster; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.7-1buster) buster; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * ``RobotState::attachBody``: Migrate to ``unique_ptr`` argument (#3011 <https://github.com/ros-planning/moveit/issues/3011>)
  * Fix "ClassLoader: SEVERE WARNING" on reset of MPD (#2925 <https://github.com/ros-planning/moveit/issues/2925>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Various fixes to MotionPlanning display (#2944 <https://github.com/ros-planning/moveit/issues/2944>)
    
      * Avoid flickering of the progress bar
      * Joints widget: avoid flickering of the nullspace slider
    
  * Modernize: std::make_shared
  * Contributors: Jafar Abdi, JafarAbdi, Jochen Sprickerhof, Robert Haschke, pvanlaar

 -- Jon Binney <jon.binney@gmail.com>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.6-1buster) buster; urgency=high

  * Re-initialize params, subscribers, and topics when the ``MoveGroupNS`` has changed (#2922 <https://github.com/ros-planning/moveit/issues/2922>)
  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Do not save/restore warehouse parameters (#2865 <https://github.com/ros-planning/moveit/issues/2865>) but use the ROS parameters only
  * PSD: Correctly update robot's base pose (#2876 <https://github.com/ros-planning/moveit/issues/2876>)
  * Fix Python2: convert keys() into list (#2862 <https://github.com/ros-planning/moveit/issues/2862>)
  * MP panel: fix order of input widgets for shape size (#2847 <https://github.com/ros-planning/moveit/issues/2847>)
  * Use relative topic name in trajectory visualization to allow namespacing (#2835 <https://github.com/ros-planning/moveit/issues/2835>)
  * MotionPlanningFrame: Gracefully handle undefined parent widget, e.g. for use via ``librviz.so`` (#2833 <https://github.com/ros-planning/moveit/issues/2833>)
  * Introduce a reference frame for collision objects (#2037 <https://github.com/ros-planning/moveit/issues/2037>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Support arbitrary real-time factors in trajectory visualization (#2745 <https://github.com/ros-planning/moveit/issues/2745>)Replaced special value ``REALTIME`` to accept arbitrary real-time factors in the format ``<number>x``, e.g. ``3x``.
  * Joints tab: Fix handling of mimic + passive joints (#2744 <https://github.com/ros-planning/moveit/issues/2744>)


## ros-noetic-moveit-ros-visualization 1.1.13

=== debian/changelog ===
ros-noetic-moveit-ros-visualization (1.1.13-2focal) focal; urgency=high

  * Avoid costly updates of invisible RobotInteractions on query state changes (#3478 <https://github.com/ros-planning/moveit/issues/3478>)
  * Contributors: Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Thu, 27 Jul 2023 22:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.12-2focal) focal; urgency=high

  * MPD: Resolve namespace ambiguity in RobotInteraction (#3403 <https://github.com/ros-planning/moveit/issues/3403>)
  * Disallow custom string for planning group property in RViz Display (#3346 <https://github.com/ros-planning/moveit/issues/3346>)
  * Fixes to octomap display in PSD (#3385 <https://github.com/ros-planning/moveit/issues/3385>)
  * MPD: maintain current item when updating object list
  * TrajectoryDisplay: sync visibility of links in trail with main robot (#3337 <https://github.com/ros-planning/moveit/issues/3337>)
  * Contributors: Robert Haschke, Simon Schmeisser, Tejal Ashwini Barnwal

 -- Jon Binney <jon.binney@gmail.com>  Fri, 12 May 2023 22:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.11-2focal) focal; urgency=high

  * Fix some consistency issues in PlanningScene handling (#3298 <https://github.com/ros-planning/moveit/issues/3298>)
    
      * Allow Plane collision-object creation from rviz
      * Simplify Cone rendering
      * Visualize PLANE shapes as a large, thin box
    
  * Merge fixes+improvements to ``PlanningScene`` editing in rviz: #3263 <https://github.com/ros-planning/moveit/issues/3263>, #3264 <https://github.com/ros-planning/moveit/issues/3264>, #3296 <https://github.com/ros-planning/moveit/issues/3296>
    
      * Fix error "QBackingStore::endPaint() called with active painter"
      * Remove limitation to one-shape collision objects
      * Fix segfault on object scaling: only update a _valid_ scene marker
      * JointsWidget: Copy full RobotState on updates (attached collision objects were missing)
      * Factor out ``addCollisionObjectToList()`` from ``populateCollisionObjectsList()``
      * Simplify ``MotionPlanningFrame::addSceneObject``
      * Directly call ``populateCollisionObjectsList()`` if possibleCalling was previously deferred into a main loop job, because most
        callers already held a PlanningScene lock, thus causing recursive locking and a deadlock.
        By simply passing the locked scene, these issues can be avoided.
        As a fallback, the PlanningScene lock is still acquired in the function.
      * ``updateQueryStates()`` after removal of attached objects
      * Clear scene objects: only clear locally. To publish changes, one should explicitly click the "Publish" button.
      * Scene Object List: allow extended selection mode
      * always update query states - even if they are disabled for visualization
      * only allow execution if start state is up-to-date
    
  * Merge PR #3227 <https://github.com/ros-planning/moveit/issues/3227>: Improve MotionPlanning plugin's JointsWidget
    * Add units to sliders in JointsWidget and to spinbox editor
    * Avoid need for extra click to operate joint slider
    * allow control of joints via keyboard
  * Contributors: Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.10-2focal) focal; urgency=high

  * Fix rviz segfault when changing move group during execution (#3123 <https://github.com/ros-planning/moveit/issues/3123>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit/issues/3103>)
  * Contributors: Michael Görner, Robert Haschke, bsygo

 -- Jon Binney <jon.binney@gmail.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.9-2focal) focal; urgency=high

  * Add PS3 dual shock model to moveit joy (#3025 <https://github.com/ros-planning/moveit/issues/3025>)
  * Add option to use simulation time for rviz trajectory display (#3055 <https://github.com/ros-planning/moveit/issues/3055>)
  * Contributors: Job van Dieten, Martin Oehler

 -- Jon Binney <jon.binney@gmail.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.8-2focal) focal; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.7-2focal) focal; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * ``RobotState::attachBody``: Migrate to ``unique_ptr`` argument (#3011 <https://github.com/ros-planning/moveit/issues/3011>)
  * Fix "ClassLoader: SEVERE WARNING" on reset of MPD (#2925 <https://github.com/ros-planning/moveit/issues/2925>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Various fixes to MotionPlanning display (#2944 <https://github.com/ros-planning/moveit/issues/2944>)
    
      * Avoid flickering of the progress bar
      * Joints widget: avoid flickering of the nullspace slider
    
  * Modernize: std::make_shared
  * Contributors: Jafar Abdi, JafarAbdi, Jochen Sprickerhof, Robert Haschke, pvanlaar

 -- Jon Binney <jon.binney@gmail.com>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.6-2focal) focal; urgency=high

  * Re-initialize params, subscribers, and topics when the ``MoveGroupNS`` has changed (#2922 <https://github.com/ros-planning/moveit/issues/2922>)
  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Do not save/restore warehouse parameters (#2865 <https://github.com/ros-planning/moveit/issues/2865>) but use the ROS parameters only
  * PSD: Correctly update robot's base pose (#2876 <https://github.com/ros-planning/moveit/issues/2876>)
  * Fix Python2: convert keys() into list (#2862 <https://github.com/ros-planning/moveit/issues/2862>)


=== debian/control ===
Source: ros-noetic-moveit-ros-visualization
Section: misc
Priority: optional
Maintainer: Jon Binney <jon.binney@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libogre-1.9-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-noetic-catkin, ros-noetic-class-loader, ros-noetic-geometric-shapes, ros-noetic-interactive-markers, ros-noetic-moveit-ros-perception, ros-noetic-moveit-ros-planning-interface, ros-noetic-moveit-ros-robot-interaction, ros-noetic-moveit-ros-warehouse, ros-noetic-object-recognition-msgs, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-rostest <!nocheck>, ros-noetic-rviz, ros-noetic-tf2-eigen
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-ros-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometric-shapes, ros-noetic-interactive-markers, ros-noetic-moveit-ros-perception, ros-noetic-moveit-ros-planning-interface, ros-noetic-moveit-ros-robot-interaction, ros-noetic-moveit-ros-warehouse, ros-noetic-object-recognition-msgs, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-rviz, ros-noetic-tf2-eigen
Description: Components of MoveIt that offer visualization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-moveit-ros-visualization//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
